--- title: "Export the Diagnostic Trace File Captured" slug: "export-the-diagnostic-trace-file-captured-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/export-the-diagnostic-trace-file-captured-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Export the Diagnostic Trace File Captured This URL exports the diagnostic trace file. ### Resource URL PUT /sensor//diagnosticstrace/export ### Accept Value application/octet-stream ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `fileName` | Diagnostic trace file name | String | Yes | ### Response Parameters Diagnostic trace file data is returned if the request parameters are correct, otherwise error details are returned. ### Example **Request** PUT [https:///sdkapi/sensor/1001/diagnosticstrace/export](https://<NSM_IP>/sdkapi/sensor/1001/dxlintegration) **Payload** ``` { "fileName": "trace_API_2950_2_Thu_Mar_03_13_58_39_IST_2016.enc" } ``` **Response** ``` ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is inactive |